#
# spec file for package gnucash-docs
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnucash-docs
Version:        2.6.7
Release:        6.2
Summary:        Documentation Module for GnuCash
License:        GFDL-1.1 and GPL-2.0+
Group:          Productivity/Office/Finance
Url:            http://www.gnucash.org/
Source:         http://downloads.sourceforge.net/project/gnucash/gnucash-docs/2.6.7/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
# Only for directory ownership:
BuildRequires:  libgnome
BuildRequires:  rarian-scrollkeeper-compat
BuildRequires:  sgml-skel
BuildRequires:  xsltproc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
GnuCash is a personal finance manager. A check-book like register GUI
allows you to enter and track bank accounts, stocks, income and even
currency trades. The interface is designed to be simple and easy to
use, but is backed with double-entry accounting principles to ensure
balanced books. This is the documentation module for GnuCash.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%makeinstall
%find_lang gnucash-guide %{?no_lang_C}
%find_lang gnucash-help %{?no_lang_C}
%fdupes %{buildroot}%{_datadir}

%clean
rm -rf %{buildroot}

%files -f gnucash-guide.lang -f gnucash-help.lang
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING-DOCS HACKING NEWS README
%dir %{_datadir}/gnome/help/gnucash-guide
%{_datadir}/gnome/help/gnucash-guide/C/
%dir %{_datadir}/gnome/help/gnucash-help
%{_datadir}/gnome/help/gnucash-help/C/

%changelog
* Wed Jul  8 2015 zaitor@opensuse.org
- Update to version 2.6.7:
  + Fix typo.
  + Verbessere Erklärung Soll & Haben.
  + Add source link and translator comment to
    Help_txf-categories.xml.
* Tue Apr  7 2015 zaitor@opensuse.org
- Update to version 2.6.6:
  + Explain sorting by TXF code within Tax Form Sections.
  + Insert Part designations and update the Basics Chapter.
  + Document latest changes to the Advanced Portfolio Report.
  + Remove obolete sections about "Cannot find default values" left
    over from gconf.
* Wed Jan 28 2015 zaitor@opensuse.org
- Update to version 2.6.5:
  + Fix a path of freshly added XML files.
  + Add some comments about translation to the German documents
    where the translation wasn't updated to match the English
    version.
  + Apply &untranslated property in German translations.
  + Fix bgo#739380: Release tarball build fails. Git builds OK.
* Tue Sep 30 2014 dimstar@opensuse.org
- Update to version 2.6.4:
  + Add sentence about manually editing payment information for
    customers.
  + Add warning and tip about account separator character.
  + Correct field format in python-import-fields.
  + Currency movements .. remain fully balanced if "Trading
    Accounts" is enabled; "double entry" was not sufficient.
  + Improve explanation that Credit does NOT decrease equity
    accounts.
  + Improve readability of "Credit does NOT decrease ...".
  + New chapters in the German translation: Overview, Basics, and
    Accounts.
  + Reduced proportional width of description column to increase
    overall font size for a 510 pixel width image.
  + Remove a few discrepancies between the german guide overview
    and other components.
  + Update of translators in gnucash-guide-de.omf
  + Updated documentation to explain how to tie dividends received
    in cash to the appropriate stock holding.
  + Updated translations.
* Sat Apr  5 2014 zaitor@opensuse.org
- Update to version 2.6.3:
  + There have been no documentation changes since 2.6.2.
* Fri Mar 14 2014 zaitor@opensuse.org
- Update to version 2.6.2:
  + Help text for Employee section missing (bgo#547386).
  + One error and some typos in documentation (bgo#723173).
  + Dividends reinvested example text doesn't match graphic. Also
    remove a useless figure and improve text (bgo#725013).
  + Assorted typos and version number corrections.
* Tue Feb  4 2014 ro@suse.de
- Drop kdelibs3-doc BuildRequires: no longer needed.
* Sun Feb  2 2014 dimstar@opensuse.org
- Update to version 2.6.1:
  + First documention updates for credit notes.
  + Adapt migration documentation to gsettings introduction.
  + Move most of the text regarding business features from guide to
    help, correct links and wording and many small improvements.
  + Add information about the Business tab in book options window.
  + Enable building Japanese PDF without requiring Debian or
    downloading fonts from anywhere.
  + Add Fedora font paths.
  + Adjust image after update.
  + Doc/guide/C: add cash account to accts-examples-organization2.
  + Docs/guide/de: minor corrections of spelling.
  + Updated translations.
* Wed Jan 22 2014 dimstar@opensuse.org
- Update to version 2.6.0:
  + Updated documentation for new GnuCash stable version 2.6.0:
  - Update Preferences section.
  - Menu and Toolbar references.
  - Update Business Documentation: Bobby Ratliff.
  - Budget Features: Bobby Ratliff.
  + Update Copyrights, Author lists, and metadata.
  + Add facility to publish docs as e-pubs.
  + Bugs fixed: bgo#513122, bgo#604519, bgo#608932, bgo#633524,
    bgo#638955, bgo#639264, bgo#661705, bgo#670354, bgo#672668,
    bgo#684709, bgo#687476, bgo#688425, bgo#688579, bgo#688968,
    bgo#691762, bgo#692917, bgo#693493, bgo#699430, bgo#700656,
    bgo#702039, bgo#712308:, bgo#715161.
  + Updated translations.
* Wed Dec 11 2013 dimstar@opensuse.org
- Replace scrollkeeper BuildRequires with xsltproc and
  rarian-scrollkeeper-compat: scrollkeeper has been replaced by
  rarian. Scrollkeeper also pulled in xsltproc, but that was not
  an entirely correct requirement.
* Tue Nov 20 2012 dimstar@opensuse.org
- Update to version 2.4.2:
  + New or improved documentation for "Data migration".
  + New documentation formats: epub and mobi.
  + Several small updates and fixes.
  + Updated translations.
- Drop gnucash-docs-fixup.patch: fixed upstream.
- Drop libtool BuildRequires and call to autogen.sh, as we are
  able to use the upstream tarball again.
* Fri Jul 20 2012 dimstar@opensuse.org
- Add a self created source tarball, directly exported from svn.
  The upstream provided tarball misses a bunch of file (notably in
  the german language), which are all in svn, but due them not
  being listed in Makefile.am, make dist did not add them to the
  tarball (Addresses part of bnc#771530).
- Add gnucash-docs-fixup.patch: mark the missing files to be
  installed as well.
- Add libtool BuildRequires and call autogen.sh in build section,
  as this tarball has not been preprocessed at all.
* Mon Sep 26 2011 andrea.turrini@gmail.com
- Fix typo in description.
* Thu Aug  4 2011 dimstar@opensuse.org
- Update to version 2.4.1:
  + Allow control over scrollkeeper omf file installation using
  - -disable-scrollkeeper as configure parameter.
  + Other buildsystem fixes.
- Clean spec-file using spec-cleaner.
- Use grep -E instead of egrep to fix a rpmlint warning.
* Fri Jul 27 2007 sbrabec@suse.cz
- Updated to version 2.2.0:
  * Documents gnucash 2.2.0.
* Wed Mar  7 2007 jhargadon@suse.de
- removed Requires: yelp (#250500)
* Fri Feb 16 2007 sbrabec@suse.cz
- New SuSE package, version 2.0.1 (#231168),
